> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/bmc/bare-metal-instance/resetinstanceip.md).

# ResetInstanceIp

## 1. API Description

This API (ResetInstanceIp) is used to reconfigure the network of a bare metal instance with the IP addresses assigned by the platform.

{% hint style="info" %}
**Notes**

* This is an asynchronous API. It returns once the request is submitted successfully, and the IP configuration is not completed immediately.
* While the IP of the instance is being reconfigured, repeated calls will not submit the task again.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description  |
| -------------- | -------- | ------ | ------------ |
| instanceId     | Yes      | String | Instance ID. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Reset the IP configuration of an instance.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ResetInstanceIp
<Common Request Params>

Request:
{
  "instanceId": "1234567890123456789"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                           | Description                                                                                                                                            |
| ---------------- | ---------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                        | Instance does not exist.                                                                                                                               |
| 403              | OPERATION\_DENIED\_INSTANCE\_RECYCLED                | The instance is in the recycle bin.                                                                                                                    |
| 403              | OPERATION\_DENIED\_INSTANCE\_STATUS\_NOT\_SUPPORT    | Instance state not supported. Please power off your instance.                                                                                          |
| 409              | OPERATION\_DENIED\_INSTANCE\_IP\_RESET\_NOT\_SUPPORT | The IP configuration of the instance cannot be reset. Only running instances installed via iPXE or without an operating system support this operation. |
| 409              | OPERATION\_FAILED\_INSTANCE\_IP\_RESET               | Failed to reset the IP configuration of the instance.                                                                                                  |
